Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.schedule
Class SchedulerTool

    java.lang.Object
      org.apache.turbine.services.schedule.SchedulerTool

All Implemented Interfaces:
  ApplicationTool

    public class SchedulerTool

extends Object
implements ApplicationTool

This tool is used to retrieve information about the job scheduler.

Version:
  $Id: SchedulerTool.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Quinton McCombs

Constructor Summary
`SchedulerTool()`

Method Summary
`JobEntry` | `getJob(String jobId)` Gets the job identified by the jobId.
`List<JobEntry>` | `getScheduledJobs()` Gets the list of scheduled jobs.
`void` | `init(Object data)` Initialize the pull tool
`boolean` | `isEnabled()` Determines if the scheduler service is currently enabled.
`void` | `refresh()` Does nothing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerTool

    public SchedulerTool()

Method Detail

### init

    public void init(Object data)

  Initialize the pull tool

  Specified by:
    `init` in interface `ApplicationTool`
  Parameters:
    `data` - initialization data

### refresh

    public void refresh()

  Does nothing

  Specified by:
    `refresh` in interface `ApplicationTool`

### getScheduledJobs

    public List<JobEntry> getScheduledJobs()

  Gets the list of scheduled jobs.

  Returns:
    List of JobEntry objects.

### isEnabled

    public boolean isEnabled()

  Determines if the scheduler service is currently enabled.

### getJob

    public JobEntry getJob(String jobId)

  Gets the job identified by the jobId.

  Parameters:
    `jobId` - Id of the job to retreive.
  Returns:
    The job. Null if the jobId is not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.